Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit python-execnet for openSUSE:Factory
Hello community,

here is the log from the commit of package python-execnet for openSUSE:Factory
checked in at 2019-04-04 12:00:20
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-execnet (Old)
and /work/SRC/openSUSE:Factory/.python-execnet.new.3908 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-execnet"

Thu Apr 4 12:00:20 2019 rev:8 rq:690274 version:1.6.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/python-execnet/python-execnet.changes
2019-02-24 17:04:23.812651883 +0100
+++ /work/SRC/openSUSE:Factory/.python-execnet.new.3908/python-execnet.changes
2019-04-04 12:00:22.401267225 +0200
@@ -1,0 +2,11 @@
+Mon Apr 1 08:31:46 UTC 2019 - Tomáš Chvátal <tchvatal@xxxxxxxx>
+
+- Update to 1.6.0:
+ * ``execnet`` no longer supports Python 2.6 and 3.3 (#85). Users of those
Python versions
+ using a recent enough ``pip`` should not be affected, as ``pip`` will only
install
+ ``1.5.0`` for them.
+ * Update test suite to support ``pytest>4``.
+- Remove pytest4.patch merged upstream
+- Remove fix_apipkg.patch merged upstream
+
+-------------------------------------------------------------------

Old:
----
execnet-1.5.0.tar.gz
fix_apipkg.patch
pytest4.patch

New:
----
execnet-1.6.0.tar.gz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-execnet.spec ++++++
--- /var/tmp/diff_new_pack.4gjfBI/_old 2019-04-04 12:00:23.941268215 +0200
+++ /var/tmp/diff_new_pack.4gjfBI/_new 2019-04-04 12:00:23.989268246 +0200
@@ -18,15 +18,13 @@

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name: python-execnet
-Version: 1.5.0
+Version: 1.6.0
Release: 0
Summary: Rapid multi-Python deployment
License: MIT
Group: Development/Libraries/Python
URL: https://github.com/pytest-dev/execnet
Source0:
https://files.pythonhosted.org/packages/source/e/execnet/execnet-%{version}.tar.gz
-Patch0: fix_apipkg.patch
-Patch1: pytest4.patch
BuildRequires: %{python_module apipkg}
BuildRequires: %{python_module base}
BuildRequires: %{python_module pytest}
@@ -51,8 +49,6 @@

%prep
%setup -q -n execnet-%{version}
-%autopatch -p1
-
sed -i "1d" execnet/script/shell.py execnet/script/socketserver.py

%build

++++++ execnet-1.5.0.tar.gz -> execnet-1.6.0.tar.gz ++++++
++++ 1742 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages